moSetGetAmount = {};

function moSetGetAmount:getNoFoundSiloAmount(k)
	if moFillTypes[k] == nil then return false;end; ---SchutzFunktion SoilMod
	local farmSilo = moDefault.multiFarmSilo;
	local desc = Fillable.fillTypeIndexToDesc[k];	
	local amount = Utils.getNoNil(g_currentMission:getSiloAmount(k), 0);
	if amount ~= nil then
		moFillTypes[k].siloAmount[farmSilo] = amount;		
	else
		amount = 0;
		moFillTypes[k].siloAmount[farmSilo] = 0;		
	end;
	local animals = g_currentMission.husbandries;
	if animals ~= nil then
		if desc.name == "wool" and animals.sheep ~= nil and animals.sheep.currentPallet ~= nil then
			--local woolAmount = animals.sheep.currentPalletFillPercentage;
			local woolAmount = animals.sheep.currentPallet.fillLevel;
			if woolAmount ~= nil and woolAmount >= 0.9 then			
				moFillTypes[k].siloAmount[farmSilo] = woolAmount;				
				return true;
			end;
		end;
		if desc.name == "milk" and animals.cow ~= nil then
			local milkRobot = animals.cow.fillLevelMilk;
			if milkRobot ~= nil and milkRobot >= 0.9 then			
				moFillTypes[k].siloAmount[farmSilo] = milkRobot;
				return true;
			end;
		end;
		if string.len(moDefault.foundAnimals) > 1 and string.find(moDefault.foundAnimals, desc.name.. " ") then			
			if desc.name ~= "cow" and desc.name ~= "sheep" and desc.name ~= "chicken" then
				if animals[desc.name] ~= nil and animals[desc.name].numSchweine ~= nil then
					local numAmountMod = animals[desc.name].numSchweine;
					if numAmountMod ~= nil and numAmountMod >= 0.9 then	
						moFillTypes[k].siloAmount[farmSilo] = numAmountMod;
						return true;
					end;
				end;
			end;			
		end;		
	end;	
	if desc.name == "silage" then		
		if moBGA.fill ~= 0 then			
			if moFillTypes[k].siloAmount[farmSilo] ~= 0 then moFillTypes[k].siloAmount[farmSilo] = moBGA.fill+moFillTypes[k].siloAmount[farmSilo];end;
			if moFillTypes[k].siloAmount[farmSilo] == 0 then moFillTypes[k].siloAmount[farmSilo] = moBGA.fill;end;
			return true;			
		end;		
	end;
	if desc.name == "fuel" or "fuel2" and moDefault.gasStation then
		--for a, b in pairs(g_currentMission.gasStations) do
			
		--end;
	end;
	if desc.name == "manure" then
		local manureAmount = 0;		
		if animals ~= nil then			
			if animals.cow ~= nil and animals.cow.manureHeap ~= nil then
				local manureAmountCow = Utils.getNoNil(animals.cow.manureHeap.fillLevel,0);
				manureAmount = manureAmount+manureAmountCow;				
				--moFillTypes[k].siloAmountCow = manureAmountCow;
			end;
			if string.len(moDefault.foundAnimals) > 1 then
				local splitAnimals = Utils.splitString(" ", moDefault.foundAnimals)
				for k, v in pairs (splitAnimals) do
					if string.len(v) > 1 and v ~= nil and tostring(v) ~= "cow" and tostring(v) ~= "sheep" and tostring(v) ~= "chicken" then
						if animals[v] ~= nil and animals[v].manureHeap ~= nil then
							local manureAmountMod = Utils.getNoNil(animals[v].manureHeap.FillLvl,0);
							manureAmount = manureAmount+manureAmountMod;
						end;						
					end;
				end;
			end;			
			if manureAmount >= 0.9 then
				moFillTypes[k].siloAmount[farmSilo] = manureAmount;
				return true;
			end;			
		end;
	end;
	if desc.name == "liquidManure" then
		local liquidManureAmount = 0;							
		if animals ~= nil then
			if animals.cow ~= nil and animals.cow.liquidManureTrigger ~= nil then
				local liquidManureAmountCow = Utils.getNoNil(animals.cow.liquidManureTrigger.fillLevel,0);
				liquidManureAmount = liquidManureAmount+liquidManureAmountCow;
				--moFillTypes[k].siloAmountCow = liquidManureAmountCow;
			end;
			if string.len(moDefault.foundAnimals) > 1 then
				local splitAnimals = Utils.splitString(" ", moDefault.foundAnimals)
				for k, v in pairs (splitAnimals) do
					if string.len(v) > 1 and v ~= nil and tostring(v) ~= "cow" and tostring(v) ~= "sheep" and tostring(v) ~= "chicken" then
						if animals[v] ~= nil and animals[v].liquidManureSiloTrigger ~= nil then
							local liquidManureAmountMod = Utils.getNoNil(animals[v].liquidManureSiloTrigger.fillLevel,0);
							liquidManureAmount = liquidManureAmount+liquidManureAmountMod;
						end;						
					end;
				end;
			end;			
			if liquidManureAmount >= 0.9 then
				moFillTypes[k].siloAmount[farmSilo] = liquidManureAmount;			
				return true;
			end;
		end;
	end;	
	if amount >= 0.9 then return true;end;
	return false
end;

function moSetGetAmount:getNoFoundBaleAmount(self)	
	moBaleTypes = {};
	function setBaleTable(baleType)
		if moBaleTypes[baleType] == nil then
			moBaleTypes[baleType] = {};
			moBaleTypes[baleType].name = baleType;
			moBaleTypes[baleType].amount = 1;
		else
			moBaleTypes[baleType].amount = moBaleTypes[baleType].amount+1;
		end;
	end;
	for key,value in pairs(g_currentMission.itemsToSave) do
		if value.item.className ~= nil and value.item.className == "Bale" then			
			local desc = Fillable.fillTypeIndexToDesc[key.fillType];
			baleType = "Unknow"
			if desc ~= nil then				
				baleType = moFillTypes[desc.index].fruitName;
				setBaleTable(baleType);
			else
				setBaleTable(baleType);
			end;			
		end;
	end;	
end;