moSetGetFillTypes = {};

function moSetGetFillTypes:setFirstFillTypes(self, updateNewNames)
	moFillTypes = {};	
	for a=1, Fillable.NUM_FILLTYPES do		
		local desc = Fillable.fillTypeIndexToDesc[a];
		if desc ~= nil then            
			local name = desc.name;
			if g_i18n:hasText(desc.nameI18N) then
                name = g_i18n:getText(desc.nameI18N);
			else
				name = desc.nameI18N
            end				
			if desc.name ~= "choppedStraw" and desc.name ~= "choppedMaize" and desc.name ~= "choppedRape" and desc.name ~= "choppedMaize_haulm" and desc.name ~= "choppedStraw_haulm" and desc.name ~= "choppedRape_haulm" then				
				moFillTypes[desc.index] = {};				
				if updateNewNames and moFillTypesNewName ~= nil and moDefault.xml ~= nil then
					local i=0;
					while true do
						i=i+1;
						local groupNewFruitNameTag = ("MultiOverlay.newFruitNames.name(%d)"):format(i);						
						local idx = getXMLInt(moDefault.xml, groupNewFruitNameTag.."#id");
						if idx == nil or idx < 1 or idx > moDefault.lengthNewFruitNamesMax then
							break;
						end;
						if moFillTypesNewName["id"..i].oldName == desc.name then							
							name = getXMLString(moDefault.xml, groupNewFruitNameTag.."#newName");
							if moDefault.regNewFruitNames then								
								desc.nameI18N = name;
							end;
							break;
						end;						
					end;
				end;
				if not string.find(name, "Missing") then					
					--if string.len(name) >= moDefault.lengthFruitName then
					--	moDefault.lengthFruitName = string.len(name);					
					--end;
				else
					if not string.find(desc.name, "Missing") then					
						name = desc.name;						
					else
						local splitMissing = Utils.splitString(" ", desc.name);
						name = "!".. splitMissing[2]
					end;
				end;
				if string.len(name) >= moDefault.lengthFruitName then
					moDefault.lengthFruitName = string.len(name);					
				end;
				moFillTypes[desc.index].fruitName = name;								
				moFillTypes[desc.index].descName = desc.name;
				moFillTypes[desc.index].bestPrice = 0;
				moFillTypes[desc.index].bestPriceStation = "";
				moFillTypes[desc.index].greatDemandStation = nil;
				moFillTypes[desc.index].greatDemandMultiplier = 1;
				moFillTypes[desc.index].siloAmount = {};
				moFillTypes[desc.index].siloAmountTotalPrice = nil;
				moFillTypes[desc.index].stationPriceMulti = {};
				--moFillTypes[desc.index].stationName = "";		
				moFillTypes[desc.index].pricePerLiter = 0;
				moFillTypes[desc.index].previousHourPrice = 0;
				moFillTypes[desc.index].startPricePerLiter = 0;
				moFillTypes[desc.index].partOfEconomy = false;
				for a=0, 10 do
					moFillTypes[desc.index].siloAmount[a] = {};
					moFillTypes[desc.index].siloAmount[a] = nil;
				end;
				--moFillTypes[desc.index].siloAmount = nil;
				--if desc.name == "manure" or desc.name == "liquidManure" then					
				--	moFillTypes[desc.index].siloAmountCow = nil;
				--	moFillTypes[desc.index].siloAmountPig = nil;
				--	moFillTypes[desc.index].siloAmountBeef = nil;
				--	moFillTypes[desc.index].siloAmountChicken2 = nil;
				--end;
				if Fillable.fillTypeIndexToDesc[desc.index].partOfEconomy ~= nil and Fillable.fillTypeIndexToDesc[desc.index].partOfEconomy or desc.name == "silage" then
					moFillTypes[desc.index].partOfEconomy = true;
				end;
			end;			
		end;
	end;
	if table.getn(moFillTypes) > 0 then
		moDefault.loadErrorOrMp = false;	
	end;
end;